List notification destinations
/notification-destination
Query Parameters
slackemail
Response Body
The destination's settings. The shape depends on type.
Slack · 2 properties
For api_errors events, HTTP status codes not to notify about.
[404]A Slack incoming webhook URL. Returned masked as ********. A PATCH that sends ******** back, or leaves the field out, keeps the stored URL.
https://hooks.slack.com/services/T000/B000/XXXXEmail · 4 properties
[Truto]["alerts@example.com"]The notification event types this destination receives.
["api_errors","integrated_account:created"]The ID of the notification destination.
Whether notifications are sent to this destination.
Ops channelslackemail
curl -X GET 'https://api.truto.one/notification-destination' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/notification-destination', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/notification-destination"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())